LimitedBandwidth Class Reference
Inheritance diagram for LimitedBandwidth:

## Public Member Functions

| LimitedBandwidth (lword maxBytesPerSecond=0)
lword | GetMaxBytesPerSecond () const
void | SetMaxBytesPerSecond (lword v)
lword | ComputeCurrentTransceiveLimit ()
double | TimeToNextTransceive ()
void | NoteTransceive (lword size)
unsigned int | GetMaxWaitObjectCount () const
void | GetWaitObjects (WaitObjectContainer &container, const CallStack &callStack)

## Detailed Description

Definition at line 14 of file network.h.

## Member Function Documentation

## GetMaxWaitObjectCount()

unsigned int LimitedBandwidth::GetMaxWaitObjectCount | ( |  | ) | const

inline

GetWaitObjects() must be called despite the 0 return from GetMaxWaitObjectCount(); the 0 is because the ScheduleEvent() method is used instead of adding a wait object

Definition at line 37 of file network.h.

The documentation for this class was generated from the following files:

- network.h
- network.cpp